initializer_orthogonal {keras} | R Documentation

## Initializer that generates a random orthogonal matrix.

### Description

Initializer that generates a random orthogonal matrix.

### Usage

    initializer_orthogonal(gain = 1, seed = NULL)

### Arguments

`gain` | Multiplicative factor to apply to the orthogonal matrix.
`seed` | Integer used to seed the random generator.

### References

Saxe et al., http://arxiv.org/abs/1312.6120

### See Also

Other initializers: `initializer_constant`, `initializer_glorot_normal`, `initializer_glorot_uniform`, `initializer_he_normal`, `initializer_he_uniform`, `initializer_identity`, `initializer_lecun_normal`, `initializer_lecun_uniform`, `initializer_ones`, `initializer_random_normal`, `initializer_random_uniform`, `initializer_truncated_normal`, `initializer_variance_scaling`, `initializer_zeros`

[Package keras version 2.2.4 Index]